PatternVariables (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.argument.PatternVariables class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.argument
Class PatternVariables

    java.lang.Object
      com.meyling.principia.argument.PatternVariables

Direct Known Subclasses:
  BasicPatternVariables

public class PatternVariables
extends Object

Set of pattern variables.

Version:
  $Revision: 1.6 $
Author:
  Michael Meyling

Constructor Summary
`PatternVariables()` Construct an empty set of pattern variables.
`PatternVariables(PatternVariables var)` Copy constructor, constructs a new object with the data of another object.

Method Summary
`void` | `add(PatternVariable variable)` Add an `PatternVariable` if not already there.
`void` | `addAll(PatternVariables newOnes)` Add all these `PatternVariable`s to the set?
`boolean` | `contains(PatternVariable variable)` Is `variable` in the set?
`boolean` | `contains(PatternVariables variables)` Are these `PatternVariable`s in the set?
`boolean` | `emptyIntersection(PatternVariables variables)` Are all of these `PatternVariable`s not in the set?
`boolean` | `equals(PatternVariables variables)` Is this object equal to another one?
`PatternVariable` | `get(PatternVariable variable)` Get `PatternVariable` object from the set.
`Map` | `getMap()` Return map of set of pattern variables.
`int` | `getSize()` Get number of elements in the set.
`void` | `remove(PatternVariable variable)` Remove pattern variable with same number from the set.
`String` | `toString()` Get a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PatternVariables

    public PatternVariables()

  Construct an empty set of pattern variables.

### PatternVariables

    public PatternVariables(PatternVariables var)

  Copy constructor, constructs a new object with the data of another object. There will be made no deep copy of the underlying objects.

Parameters:
  `var` - object to copy

Method Detail

### add

    public final void add(PatternVariable variable)

  Add an `PatternVariable` if not already there.

  Parameters:
    `variable` - variable to add

### get

    public final PatternVariable get(PatternVariable variable)
                              throws IllegalArgumentException

  Get `PatternVariable` object from the set.

  Parameters:
    `variable` - the number of this variable determines the result
  Returns:
    object in the set, which has the same number
  Throws:
    `IllegalArgumentException` - if such a patter variable was not found in set

### contains

    public final boolean contains(PatternVariable variable)

  Is `variable` in the set?

  Parameters:
    `variable` - check for this variable
  Returns:
    `true` iff a variable with such an number is in the set

### contains

    public final boolean contains(PatternVariables variables)

  Are these `PatternVariable`s in the set?

  Parameters:
    `variables` - check for these variables
  Returns:
    `true` iff all variables have an counterpart with same number in the set

### emptyIntersection

    public final boolean emptyIntersection(PatternVariables variables)

  Are all of these `PatternVariable`s not in the set?

  Parameters:
    `variables` - check for these variables
  Returns:
    `true` iff all variables have no counterpart with same number in the set

### equals

    public final boolean equals(PatternVariables variables)

  Is this object equal to another one?

  Parameters:
    `variables` - object to compare with
  Returns:
    do all their entries are equal?

### addAll

    public final void addAll(PatternVariables newOnes)

  Add all these `PatternVariable`s to the set?

  Parameters:
    `newOnes` - add these variables

### getSize

    public final int getSize()

  Get number of elements in the set.

  Returns:
    number of set elements

### remove

    public final void remove(PatternVariable variable)

  Remove pattern variable with same number from the set.

  Parameters:
    `variable` - pattern variable that should be removed from the set.

### getMap

    public final Map getMap()

  Return map of set of pattern variables.

  Returns:
    map of set elements

### toString

    public final String toString()

  Get a string representation of this object.

  Returns:
    object description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.